Organization
Users and User Groups
Permissions
Data Source
Workspaces
Logical Data Model
Analytical Objects
    Analytics Model
    Metrics
    Dashboards
    Filter Context
    Filter Views
    Visualization Object
    Parameters
      Get all ParametersgetPost ParameterspostThe search endpoint (beta)postGet a ParametergetPut a ParameterputDelete a ParameterdeletePatch a Parameterpatch
    Dependency Graph
    Attribute Hierarchies
Reporting
Export & Automations
AI Lake
AI Assistant
Other
Schemas
powered by Zudoku
OpenAPI definition

Parameters

Endpoint:/

Get all Parameters

GET
/api/v1/entities/workspaces/{workspaceId}/parameters

Get all Parameters › path Parameters

  • workspaceIdstring · required

Get all Parameters › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL
  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • pageinteger

    Zero-based page index (0..N)

    Default: 0
  • sizeinteger

    The size of the page to be returned

    Default: 20
  • sortstring[]

    Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    page
    all
    ALL

Get all Parameters › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get all Parameters › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
GET /api/v1/entities/workspaces/{workspaceId}/parameters

Post Parameters

POST
/api/v1/entities/workspaces/{workspaceId}/parameters

Post Parameters › path Parameters

  • workspaceIdstring · required

Post Parameters › query Parameters

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Post Parameters › Request Body

  • dataobject · required

    JSON:API representation of parameter entity.

Post Parameters › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of parameter entity.

  • includedobject[] · unique

    Included resources

  • linksobject
POST /api/v1/entities/workspaces/{workspaceId}/parameters

The search endpoint (beta)

POST
/api/v1/entities/workspaces/{workspaceId}/parameters/search

The search endpoint (beta) › path Parameters

  • workspaceIdstring · required

The search endpoint (beta) › query Parameters

  • originstring · enum

    Defines scope of origin of objects. All by default.

    Enum values:
    ALL
    PARENTS
    NATIVE
    Default: ALL

The search endpoint (beta) › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

The search endpoint (beta) › Request Body

  • filterstring | null

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includearray | null

    List of related entities to include in the response

  • metaIncludearray | null · unique

    Set of metadata fields to include in the response

  • pageobject

    Pagination information for entity search

  • sortarray | null

    Sorting criteria (can specify multiple sort orders)

The search endpoint (beta) › Responses

Request successfully processed

  • dataobject[] · unique · required
  • includedobject[] · unique

    Included resources

  • linksobject
  • metaobject
POST /api/v1/entities/workspaces/{workspaceId}/parameters/search

Get a Parameter

GET
/api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Get a Parameter › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Get a Parameter › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL
  • metaIncludestring[] · unique · style: form

    Include Meta objects.

    Included meta objects

    Enum values:
    origin
    all
    ALL

Get a Parameter › Headers

  • X-GDC-VALIDATE-RELATIONSboolean
    Default: false

Get a Parameter › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of parameter entity.

  • includedobject[] · unique

    Included resources

  • linksobject
GET /api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Put a Parameter

PUT
/api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Put a Parameter › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Put a Parameter › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Put a Parameter › Request Body

  • dataobject · required

    JSON:API representation of parameter entity.

Put a Parameter › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of parameter entity.

  • includedobject[] · unique

    Included resources

  • linksobject
PUT /api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Delete a Parameter

DELETE
/api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Delete a Parameter › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Delete a Parameter › Responses

Successfully deleted

No data returned
DELETE /api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Patch a Parameter

PATCH
/api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Patch a Parameter › path Parameters

  • workspaceIdstring · required
  • objectIdstring · required

Patch a Parameter › query Parameters

  • filterstring

    Filtering parameter in RSQL. See https://github.com/jirutka/rsql-parser. You can specify any object parameter and parameter of related entity (for example title=='Some Title';description=='desc'). Additionally, if the entity relationship represents a polymorphic entity type, it can be casted to its subtypes (for example relatedEntity::subtype.subtypeProperty=='Value 123').

  • includestring[] · style: form

    Array of included collections or individual relationships. Includes are separated by commas (e.g. include=entity1s,entity2s). Collection include represents the inclusion of every relationship between this entity and the given collection. Relationship include represents the inclusion of the particular relationships only. If single parameter "ALL" is present, all possible includes are used (include=ALL).

    WARNING: Individual include types (collection, relationship or ALL) cannot be combined together.

    Enum values:
    userIdentifiers
    createdBy
    modifiedBy
    ALL

Patch a Parameter › Request Body

  • dataobject · required

    JSON:API representation of patching parameter entity.

Patch a Parameter › Responses

Request successfully processed

  • dataobject · required

    JSON:API representation of parameter entity.

  • includedobject[] · unique

    Included resources

  • linksobject
PATCH /api/v1/entities/workspaces/{workspaceId}/parameters/{objectId}

Visualization ObjectDependency Graph